/*
** Module   : file_system_helper_win.c
** Abstract : implementation for detection of simbolic links, non-FIFO pipes and special devices.
**            This is used by filelys.c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130329 Created initial version to implement Windows specifics for file system
**                  operations.
*/
#include "filesys.h"

/**
* The helper function to get symlink status in Windows. This should work beginning from Vista.
*
* @param  env 
*         pointer to a structure that provides access to JNI environment.
* @param  fname 
*         The file name to be checked passed from FileChecker.checkFileType().
* @param  file_path 
*         The pointer to file path string.
* @param  status_initial 
*         The current status value for the given file.
*
* @return An integer modified status code of the file.
*/
int getSymLinkStatus(JNIEnv *env, jstring fname, const char *file_path, int status_initial)
{
   // Start with current version
   int status_return = status_initial;
   
   // TODO: Implement Windows symlynk getting starting from Vista
   
   return status_return;
}

/**
* The helper function to open file or pipe in Windows.
*
* @param  filename 
*         The name of the file to open.
* @param  flags 
*         The open mode flags common across all operating systems.
*
* @return An integer file fescriptor or -1 in case of error.
*/
int open_native(const char * filename, int flags)
{
   return open(filename, flags | P_NOWAIT);
}
